Subject: bug#15910: closed (Re: bug#15966: bug#15967: 24.3.50; [PATCH] eww: use eww-browse-url, when url in bookmark list is opened, bug#15966: 24.3.50; [PATCH] eww: ask confirmation when add bookmarks, bug#15965: 24.3.50; [PATCH] eww: ask confirmation before quitting, bug#15910: 24.3.50; [PATCH] eww: Current URL is not entered automatically, after ewwstarts.s.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 26 Nov 2013 20:10:03 +0000

Your bug report

#15910: 24.3.50; [PATCH] eww: Current URL is not entered automatically, after eww starts.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15910: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15910
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15966: bug#15967: 24.3.50; [PATCH] eww: use eww-browse-url, when url in bookmark list is opened, bug#15966: 24.3.50; [PATCH] eww: ask confirmation when add bookmarks, bug#15965: 24.3.50; [PATCH] eww: ask confirmation before quitting, bug#15910: 24.3.50; [PATCH] eww: Current URL is not entered automatically, after ewwstarts.s.
From: Ted Zlatanov <[email-masked]>
To: Kenjiro NAKAYAMA <[email-masked]>
Cc: [email-masked], Kenjiro NAKAYAMA <[email-masked]>, [email-masked], [email-masked], [email-masked]
Date: Tue, 26 Nov 2013 15:10:31 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, 26 Nov 2013 20:51:49 +0900 Kenjiro NAKAYAMA <[email-masked]> wrote: 

KN> I consolidated the patches, please include the patch if appreciated.

OK; done.  I changed "add bookmark this page?" to "bookmark this page?"
but otherwise had no issues.

Thanks!
Ted

Subject: 24.3.50; [PATCH] eww: Current URL is not entered automatically, after eww starts.
From: Kenjiro NAKAYAMA <[email-masked]>
To: [email-masked]
Date: Sat, 16 Nov 2013 20:03:11 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

After the start of eww, if I try to jump to another URL (by M-x eww again), eww asks to enter the URL entirely again.
If eww enters the current URL automatically, it is very useful.
And if the current URL is not necessary, it is easy to delete the URL.

Signed-off-by: Kenjiro Nakayama <[email-masked]>
---
 lisp/net/eww.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/net/eww.el b/lisp/net/eww.el
index 573715e..d835560 100644
--- a/lisp/net/eww.el
+++ b/lisp/net/eww.el
@@ -106,7 +106,7 @@
   "Fetch URL and render the page.
 If the input doesn't look like an URL or a domain name, the
 word(s) will be searched for via `eww-search-prefix'."
-  (interactive "sEnter URL or keywords: ")
+  (interactive (list (read-string "sEnter URL or keywords: " eww-current-url)))
   (if (and (= (length (split-string url)) 1)
            (> (length (split-string url "\\.")) 1))
       (progn
-- 
1.8.3.1